.roller-holder {
  position: relative;
}

.roller-slider {
  overflow: hidden;
  overflow-x: scroll;
  display: flex;

  /* used to set a "touch" ux on scroll : https://developer.mozilla.org/fr/docs/Web/CSS/-webkit-overflow-scrolling */
  -webkit-overflow-scrolling: touch;
}

// bug correction where webkit just gone crazy and show us the scrollbar or those are masked by an overflow hidden...
// in a perfect worl this css would be common for every browser
.roller-slider::-webkit-scrollbar {
  width: 0;
  height: 0;
}

.roller-slider {
  scrollbar-width: none;
  overflow: -moz-scrollbars-none;
  -ms-overflow-style: none;
}

.roller-item {
  flex: 0 0 $roller-item-with;
  margin-left: $roller-item-gap;

  &:first-child {
    margin-left: 0;
  }
}

.roller-btn-holder {
  position: absolute;
  /* prettier-ignore */
  top: $roller-buttons-top;
  right: 0;

  .btn-left {
    margin-right: 0.625rem;
  }
}

.roller-btn {
  background-color: transparent;
  width: $roller-buttons-width;
  height: $roller-buttons-height;
  border-radius: 0.3125rem;
  border: 1px solid $roller-color;
  padding: 0;
  text-align: center;
  color: $roller-color;
}

.roller-no-nav .roller-btn {
  display: none;
}

.roller-btn.disabled {
  cursor: default;
  color: $roller-color-disabled;
  border-color: $roller-color-disabled;
}
